com.sun.mail.util

## Interface ReadableMime

- All Known Implementing Classes:
    GmailMessage, IMAPBodyPart, IMAPMessage, IMAPNestedMessage, POP3Message

      public interface ReadableMime

  A Message or message Part whose data can be read as a MIME format stream. Note that the MIME stream will include both the headers and the body of the message or part. This should be the same data that is produced by the writeTo method, but in a readable form.
  Since:
    JavaMail 1.4.5
  Author:
    Bill Shannon

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getMimeStream()` Return the MIME format stream corresponding to this message part.

- - ### Method Detail

    - #### getMimeStream

          InputStream getMimeStream()
                                    throws MessagingException

      Return the MIME format stream corresponding to this message part.
      Returns:
        the MIME format stream
      Throws:
        `MessagingException` - for failures

Copyright © 2016 Oracle. All rights reserved.